### Function Macro

# Rsvg CHECK_VERSION

#### Declaration [src]

    #define LIBRSVG_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description [src]

This C macro returns `TRUE` if the the version of librsvg being compiled against is the same or newer than the specified version.

Note that this a compile-time check for C programs. If you want a run-time check for the version of librsvg being used, or if you are using another programming language, see the variables `rsvg_major_version`, `rsvg_minor_version`, `rsvg_micro_version` instead.

This function is not directly available to language bindings.

#### Parameters

`major`

  Type: `-`

  Component for the major version to check.

`minor`

  Type: `-`

  Component for the minor version to check.

`micro`

  Type: `-`

  Component for the micro version to check.